Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# The Metaball object

This metaball gives access to generic data from all metaballs in Blender.

Method Summary |
a list of 24 floats(8 points, 3 coordinates) | `getBbox()` Retreives the bounding box of a metaball object
a list of 3 floats | `getLoc()` Retreives the location of a metaball object
float | `getMetadata(name, num)` Retrieves the metadata of a metaball object.
float | `getMetalen(pos)` Retreives the len parameter of a metaelem object
float | `getMetas(pos)` Retreives the s parameter of a metaelem object
int | `getMetatype(pos)` Retreives the type of a metaelem object
float | `getMetax(pos)` Retreives the x parameter of a metaelem object
float | `getMetay(pos)` Retreives the y parameter of a metaelem object
float | `getMetaz(pos)` Retreives the z parameter of a metaelem object
string | `getName()` Retreives the name of a metaball object
int | `getNMetaElems()` Retreives the number of metaelems (elementary spheres or cylinders) of a metaball object
float | `getRendersize()` Retreives the rendersize of a metaball object
a list of 3 floats | `getRot()` Retreives the rotation of a metaball object
a list of 3 floats | `getSize()` Retreives the size of a metaball object
float | `getThresh()` Retreives the threshold of a metaball object
float | `getWiresize()` Retreives the wiresize of a metaball object
PyNone | `setLoc(newloc)` Sets the location of a metaball object
PyNone | `setMetadata(name, num, val)` The setMetadata function has the same semantics as getMetadata, except that it needs the parameter value, and always returns PyNone.
PyNone | `setMetalen(pos, newlen)` Sets the len parameter of a metaelem object
PyNone | `setMetas(pos, news)` Sets the s parameter of a metaelem object
PyNone | `setMetatype(pos, newtype)` Sets the type of a metaelem object
PyNone | `setMetax(pos, newx)` Sets the x parameter of a metaelem object
PyNone | `setMetay(pos, newy)` Sets the y parameter of a metaelem object
PyNone | `setMetaz(pos, newz)` Sets the z parameter of a metaelem object
PyNone | `setName(name)` Sets the name of a metaball object
PyNone | `setRendersize(newsize)` Sets the render size of a metaball object
PyNone | `setRot(newrot)` Sets the rotation of a metaball object
PyNone | `setSize(newsize)` Sets the size of a metaball object
PyNone | `setThresh(threshold)` Sets the threshold of a metaball object
PyNone | `setWiresize(newsize)` Sets the wire size of a metaball object

Class Variable Summary |
| `loc` - The location of the metaball.
| `name` - The name of the metaball.
| `rot` - The rotation of the metaball.
| `size` - The size of the metaball.

Method Details |

getBbox() Retreives the bounding box of a metaball object Returns: the bounding box of a metaball object (type=a list of 24 floats(8 points, 3 coordinates))

getLoc() Retreives the location of a metaball object Returns: locationof a metaball object (type=a list of 3 floats)

getMetadata(name, num) Retrieves the metadata of a metaball object. A metaball is composed of one or several elementary objects, spheres or cylinders, which interact to create the smooth surface everybody knows. The get/set Metadata functions allow users to read/write the parameters of these elementary objects, called metaelements. Parameters: `name` - the name of the property to be read. The accepted values are :"type", "x", "y", "z", "expx", "expy", "expz", "rad", "rad2", "s", "len". (type=string) `num` - the position of the metaelem to be accessed. (type=int) Returns: the metaelement parameter value, generally a float, except for the parameter "type", which returns an int. (type=float)

getMetalen(pos) Retreives the len parameter of a metaelem object Parameters: `pos` (type=int @param : the position of the metaelement) Returns: len parameter of the metaelem object (type=float)

getMetas(pos) Retreives the s parameter of a metaelem object Parameters: `pos` (type=int @param : the position of the metaelement) Returns: s parameter of the metaelem object (type=float)

getMetatype(pos) Retreives the type of a metaelem object Parameters: `pos` (type=int @param : the position of the metaelement) Returns: type of the metaelem object (type=int)

getMetax(pos) Retreives the x parameter of a metaelem object Parameters: `pos` (type=int @param : the position of the metaelement) Returns: x parameter of the metaelem object (type=float)

getMetay(pos) Retreives the y parameter of a metaelem object Parameters: `pos` (type=int @param : the position of the metaelement) Returns: y parameter of the metaelem object (type=float)

getMetaz(pos) Retreives the z parameter of a metaelem object Parameters: `pos` (type=int @param : the position of the metaelement) Returns: z parameter of the metaelem object (type=float)

getName() Retreives the name of a metaball object Returns: the name of a metaball object (type=string)

getNMetaElems() Retreives the number of metaelems (elementary spheres or cylinders) of a metaball object Returns: number of metaelems of a metaball object (type=int)

getRendersize() Retreives the rendersize of a metaball object Returns: render size a metaball object (type=float)

getRot() Retreives the rotation of a metaball object Returns: rotationof a metaball object (type=a list of 3 floats)

getSize() Retreives the size of a metaball object Returns: size a metaball object (type=a list of 3 floats)

getThresh() Retreives the threshold of a metaball object Returns: threshold of the metaball object (type=float)

getWiresize() Retreives the wiresize of a metaball object Returns: wire size a metaball object (type=float)

setLoc(newloc) Sets the location of a metaball object Parameters: `newloc` - the new location (type=list of 3 floats) Returns: PyNone (type=PyNone)

setMetadata(name, num, val) The setMetadata function has the same semantics as getMetadata, except that it needs the parameter value, and always returns PyNone. Parameters: `name` - the name of the property to be read. The accepted values are :"type", "x", "y", "z", "expx", "expy", "expz", "rad", "rad2", "s", "len". (type=string) `num` - the position of the metaelem to be accessed. (type=int) `val` - the new value of the parameter. (type=float, except if name is "type".) Returns: PyNone (type=PyNone)

setMetalen(pos, newlen) Sets the len parameter of a metaelem object Parameters: `pos` (type=int @param : the position of the metaelement) `newlen` - the new x parameter value (type=float) Returns: PyNone (type=PyNone)

setMetas(pos, news) Sets the s parameter of a metaelem object Parameters: `pos` (type=int @param : the position of the metaelement) `news` - the new x parameter value (type=float) Returns: PyNone (type=PyNone)

setMetatype(pos, newtype) Sets the type of a metaelem object Parameters: `pos` (type=int @param : the position of the metaelement) `newtype` - the new type (type=int) Returns: PyNone (type=PyNone)

setMetax(pos, newx) Sets the x parameter of a metaelem object Parameters: `pos` (type=int @param : the position of the metaelement) `newx` - the new x parameter value (type=float) Returns: PyNone (type=PyNone)

setMetay(pos, newy) Sets the y parameter of a metaelem object Parameters: `pos` (type=int @param : the position of the metaelement) `newy` - the new y parameter value (type=float) Returns: PyNone (type=PyNone)

setMetaz(pos, newz) Sets the z parameter of a metaelem object Parameters: `pos` (type=int @param : the position of the metaelement) `newz` - the new z parameter value (type=float) Returns: PyNone (type=PyNone)

setName(name) Sets the name of a metaball object Parameters: `name` (type=string @param name : the new name) Returns: PyNone (type=PyNone)

setRendersize(newsize) Sets the render size of a metaball object Parameters: `newsize` - the new size (type=float) Returns: PyNone (type=PyNone)

setRot(newrot) Sets the rotation of a metaball object Parameters: `newrot` - the new rotation (type=list of 3 floats) Returns: PyNone (type=PyNone)

setSize(newsize) Sets the size of a metaball object Parameters: `newsize` - the new size (type=list of 3 floats) Returns: PyNone (type=PyNone)

setThresh(threshold) Sets the threshold of a metaball object Parameters: `threshold` - the new size (type=float) Returns: PyNone (type=PyNone)

setWiresize(newsize) Sets the wire size of a metaball object Parameters: `newsize` - the new size (type=float) Returns: PyNone (type=PyNone)

Class Variable Details |

loc The location of the metaball.

name The name of the metaball.

rot The rotation of the metaball.

size The size of the metaball.

<<< Previous | Home | Next >>>
Class Metaball | Up | Module Effect